Bug 821185 - EFI DVD install does not complete mactel-boot-setup
EFI DVD install does not complete mactel-boot-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-05-12 17:37 EDT by Chris Murphy
Modified: 2014-03-16 23:30 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 19:04:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
program.log (234.87 KB, text/plain)
2012-05-12 17:39 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2012-05-12 17:37:06 EDT
Description of problem:
After completion of EFI DVD install, Fedora is not a boot option at either option-key startup boot menu, or in Mac OS System Preferences > Startup Disk panel.

Version-Release number of selected component (if applicable):
Fedora-17-TC5-x86_64-DVD.iso

How reproducible:
100%

Steps to Reproduce:
1. Boot from actual DVD media, choosing blue "Fedora Media" icon.
2. Choose default installation options.
3. Reboot at installation completion.

Actual results:
Reboot with option-key, startup menu does not contain a Fedora option (or any option other than Mac OS)
Mac OS System Preferences > Startup disk does not contain a Fedora option.

Expected results:

System Preferences > Startup disk should contain a Fedora option.
Option-key startup boot menu should contain a Fedora option.

Additional info:
Works (mostly) as expected in Fedora-17.TC5-x86_64-Live-Desktop.iso.

Question is if mactel-boot-0.9-5.fc17 is incorporated into DVD?
Comment 1 Chris Murphy 2012-05-12 17:39:04 EDT
Created attachment 584071 [details]
program.log
Comment 2 Adam Williamson 2012-05-12 20:41:46 EDT
chris: easy way to check if something's on the DVD image is simply to loopback mount it:

mkdir -p /mnt/temp
mount -o loop filename.iso /mnt/temp

then just look in /mnt/temp/Packages/m or wherever and see what version is there.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2012-05-12 20:42:28 EDT
Is this a regression compared to TC4 or earlier?
Comment 4 Chris Murphy 2012-05-12 21:30:28 EDT
Same behavior in all TC's.

The only item I'm finding on the DVD with the string mac* in it is macboot.img. No mactel-boot package.
Comment 5 Adam Williamson 2012-05-14 18:15:30 EDT
OK, so we think we grok this one. mactel-boot is run out of the installed system's root, not from the installer's initramfs. the anaconda package depends on mactel-boot, and the anaconda package is present on live images, or else you couldn't install them. So the lives get a mactel-boot package and work.

The DVD doesn't actually contain the anaconda package, odd as that sounds. And nothing else requires mactel-boot and it's not explicitly in comps. So the DVD is simply missing the package, hence it can't be run during install.

Diagnosis: we need to put mactel-boot into comps explicitly, probably in core.

Proposing as NTH, as this breaks install to Macs from the DVD.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Tim Flink 2012-05-14 18:26:19 EDT
+1 NTH to make install from DVD on mac work

bcl is +1 for the same reason - combining to reduce emails :)

That makes for +3 NTH (including adam) - moving to accepted NTH
Comment 7 Adam Williamson 2012-05-14 18:28:27 EDT
How about:

--- a/fedora-install-fedora.ks
+++ b/fedora-install-fedora.ks
@@ -26,6 +26,8 @@ dracut-*
 grub-efi
 grub2
 efibootmgr
+# mactel-boot needs to be on the DVD for successful installation to intel macs.
+mactel-boot
 # Desktop Packages
 @kde-desktop
 @xfce-desktop




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Mads Kiilerich 2012-05-14 19:15:19 EDT
AFAIK: mactel-boot contains files under /boot/efi/ which is the ESP mount point on EFI systems. It would be unfortunate if that mactel package messed sane EFI systems up and it might be risky to make that change now without much testing.

Besides that: mactel-boot is x86_64 only.
Comment 9 Adam Williamson 2012-05-14 19:25:04 EDT
Mads: this only causes the package to be present on the DVD. It's not actually selected for installation on anything but Mactels. See pyanaconda/platform.py .



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Adam Williamson 2012-05-14 19:26:57 EDT
I changed this in comps, so it should be in TC6/RC1.
Comment 11 Brian Lane 2012-05-14 19:30:40 EDT
Also, mactel-boot is only run on Mac systems, not on all EFI installs.
Comment 12 Tim Flink 2012-05-16 13:59:37 EDT
I have been able to do installs on a MacBook Pro using USB media created from the RC1 x86_64 DVDs.

Moving to verified
Comment 13 Chris Murphy 2012-05-16 14:59:13 EDT
For me as well.
Comment 14 Adam Williamson 2012-05-18 19:04:22 EDT
mactel-boot is now in comps (as well as spin-kickstarts, we could probably take it out of there now), so closing.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.